Subject: Re: bi_recs

From: "Mark Chambers" <[email-masked]>
Date: Mon, 4 Oct 2004 08:09:27 -0400

> 
> I just create an argv of all the environment variables of the firmware
> and I pass the psysical address of that NULL terminated argv array
> to the kernel command line like so... "u-boot-env=0x0f000f00".
> 

This would be a variation of the "human readable ASCII format"
technique, right?  I had once ventured to offer my opinion that this
would be a technique that could work for all architectures, which is
a big plus, IMO.   My mistake was suggesting XML, which I think
was [mis]understood by some as requiring a lot more than a few
extra "</" type characters.  I'm offering my opinion not as an expert
but as someone who not too long ago tried to puzzle through the
bootloader/kernel interface and found it unnecessarily obscure.  I
think an ASCIIZ string array of some sort would be immediately
obvious and thus highly maintainable by all.

Mark Chambers